#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006, 2011
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. "$binDir"/setupCmdLine.sh

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi;

if [ "${OBJECTGRID_HOME}" != "" ]; then
	# adding environment variable for client libraries the user might optionally use
    if [ -z "${CLIENT_AUTH_LIB}" ]; then
  		${JAVA_EXE} \
  		-classpath "$OBJECTGRID_HOME"/properties:"$OBJECTGRID_HOME"/lib/ogclient.jar:"$OBJECTGRID_HOME"/dynacache/lib/wxsdynacache.jar:"$OBJECTGRID_HOME"/session/lib/sessionobjectgrid.jar "$JAVA_ENDORSED_DIRS" \
  		-Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true \
		com.ibm.ws.xs.admin.wxscli.WXSAdminCLI \
		"$@"
	else
  		${JAVA_EXE} \
  		-classpath "$OBJECTGRID_HOME"/properties:"$OBJECTGRID_HOME"/lib/ogclient.jar:"$OBJECTGRID_HOME"/dynacache/lib/wxsdynacache.jar:"$OBJECTGRID_HOME"/session/lib/sessionobjectgrid.jar:$CLIENT_AUTH_LIB "$JAVA_ENDORSED_DIRS" \
  		-Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true \
		com.ibm.ws.xs.admin.wxscli.WXSAdminCLI \
		"$@"
	fi;
else
	if [ -n "${CLIENTSSL}" ]; then
		CLIENTSSL="${CLIENTSSL}"
	fi;
	if [ -n "${CLIENTSAS}" ]; then
		CLIENTSAS="${CLIENTSAS}"
	fi;
	# adding environment variable for client libraries the user might optionally use
    if [ -z "${CLIENT_AUTH_LIB}" ]; then
    	${JAVA_EXE} $WAS_LOGGING $CONSOLE_ENCODING -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Djava.security.auth.login.config="$USER_INSTALL_ROOT/properties/wsjaas_client.conf" "-Dws.ext.dirs=$WAS_EXT_DIRS:$WAS_HOME/plugins" "-Dwas.install.root=$WAS_HOME" $CLIENTSAS $CLIENTSSL "-Duser.install.root=$USER_INSTALL_ROOT" "-Dosgi.configuration.area=file:$WAS_HOME/configuration" -classpath "$WAS_CLASSPATH" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.xs.admin.wxscli.WXSAdminCLI "$@"
    else
    	${JAVA_EXE} $WAS_LOGGING $CONSOLE_ENCODING -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Djava.security.auth.login.config="$USER_INSTALL_ROOT/properties/wsjaas_client.conf" "-Dws.ext.dirs=$WAS_EXT_DIRS:$WAS_HOME/plugins:$CLIENT_AUTH_LIB" "-Dwas.install.root=$WAS_HOME" $CLIENTSAS $CLIENTSSL "-Duser.install.root=$USER_INSTALL_ROOT" "-Dosgi.configuration.area=file:$WAS_HOME/configuration" -classpath "$WAS_CLASSPATH" com.ibm.ws.bootstrap.WSLauncher com.ibm.ws.xs.admin.wxscli.WXSAdminCLI "$@"
   	fi;
fi;