#!/bin/sh

# This sample program is provided AS IS and may be used, executed, copied and modified
# without royalty payment by customer
# (a) for its own instruction and study,
# (b) in order to develop applications designed to run with an IBM WebSphere product,
# either for customer's own internal use or for redistribution by customer, as part of such an
# application, in customer's own products.
# Licensed Materials - Property of IBM
# 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2008,2010

echo ""
echo "This Administrative Utility is provided as a sample only and is not to be"
echo "considered a fully supported component of the WebSphere eXtreme Scale product"
echo ""

binDir=`dirname $0`
. "$binDir"/setupCmdLine.sh

PLATFORM=`/bin/uname`

if [ -z "${JAVA_HOME}" ]; then
    echo "Set the JAVA_HOME environment variable."
    exit
fi

PSEP=":"
case $PLATFORM in
    "Windows_NT" | "CYGWIN_NT-4.0" | "CYGWIN_NT-5.0" | "CYGWIN_NT-5.1" | "CYGWIN_NT-5.2" )
        PSEP=";"
        ;;
esac

if [ -f ${JAVA_HOME}/bin/java ]; then
    JAVA_EXE="${JAVA_HOME}/bin/java"
else
    JAVA_EXE="${JAVA_HOME}/jre/bin/java"
fi;

if [ -n "${CLIENTSSL}" ]; then
	CLIENTSSL="${CLIENTSSL}"
fi;
if [ -n "${CLIENTSAS}" ]; then
	CLIENTSAS="${CLIENTSAS}"
fi;

if [ -n "${OBJECTGRID_HOME}" ]; then
    ${JAVA_EXE} ${WXS_REAL_TIME_JAVA} -classpath "$OBJECTGRID_HOME"/lib/ogclient.jar${PSEP}"$OBJECTGRID_HOME"/samples/xsadmin.jar "$JAVA_ENDORSED_DIRS" -Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true com.ibm.websphere.samples.objectgrid.admin.OGAdmin "$@"
else
    ${JAVA_EXE} $WAS_LOGGING $CONSOLE_ENCODING -Djava.naming.factory.initial=com.ibm.websphere.naming.WsnInitialContextFactory -Djava.security.auth.login.config="$USER_INSTALL_ROOT/properties/wsjaas_client.conf" "-Dws.ext.dirs=$WAS_EXT_DIRS${PSEP}$WAS_HOME/plugins${PSEP}$WAS_HOME/optionalLibraries/ObjectGrid/xsadmin.jar" "-Dwas.install.root=$WAS_HOME" $CLIENTSAS $CLIENTSSL "-Duser.install.root=$USER_INSTALL_ROOT" "-Dosgi.configuration.area=file:$WAS_HOME/configuration" -classpath "$WAS_CLASSPATH" com.ibm.ws.bootstrap.WSLauncher com.ibm.websphere.samples.objectgrid.admin.OGAdmin "$@"
fi;
